
Foreman - Refactor #14191

Remove test coverage

03/14/2016 11:54 AM - Tomer Brisker

Status: Closed   

Priority: Normal   

Assignee: Tomer Brisker   

Category: Tests   

Target version: 1.12.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/3322

  

Description

Each test run uses the simplecov gem to generate coverage reports.

This slows down tests and is not used AFAICT by anyone.

This is especially significant for CI as the test suite is executed multiple times on slow workers.

Remove the gem and coverage reporting.

Related issues:

Related to Foreman - Refactor #11208: Simplecov should be opt-in Rejected 07/24/2015

Associated revisions

Revision 1680e944 - 03/15/2016 11:45 AM - Tomer Brisker

Fixes #14191 - remove simplecov test coverage reporting

History

#1 - 03/14/2016 11:54 AM - Dominic Cleal

- Related to Refactor #11208: Simplecov should be opt-in added

#2 - 03/14/2016 11:56 AM - Dominic Cleal

Why remove it entirely?  If removed then it's hard to enable if you do want to know about coverage.

Consider disabling it by default with an opt-in like #11208 describes, or disable it only during certain types of tests.

#3 - 03/14/2016 11:56 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/3322 added

#4 - 03/15/2016 12:02 PM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 1680e94428c9cd962d0c5e78789c8db97889b236.

#5 - 03/16/2016 04:44 AM - Dominic Cleal

- translation missing: en.field_release set to 136
